NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::BeamElementInfo Class Reference

Represents a Beam Element Information. More...

Inheritance diagram for NXOpen::CAE::BeamElementInfo:
NXOpen::TransientObject

Public Member Functions

void GetEndReleasesAtAftEnd (std::vector< int > &endReleases)
 Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran. More...
 
void GetEndReleasesAtForeEnd (std::vector< int > &endReleases)
 Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran. More...
 
bool HasSectionAssignedAtAftEnd ()
 Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element. More...
 
bool HasSectionAssignedAtForeEnd ()
 Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element. More...
 
bool IsTapered ()
 Returns a boolean value that indicates whether the beam element is a tapered beam element. More...
 
NXOpen::Vector3d LanguageOffsetAtAftEnd ()
 Returns. More...
 
NXOpen::Vector3d LanguageOffsetAtForeEnd ()
 Returns. More...
 
NXOpen::Vector3d NeutralOffsetAtAftEnd ()
 Returns. More...
 
NXOpen::Vector3d NeutralOffsetAtForeEnd ()
 Returns. More...
 
NXOpen::Point3d OffsetSectionCentroidAtAftEnd ()
 Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system. More...
 
NXOpen::Point3d OffsetSectionCentroidAtForeEnd ()
 Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system. More...
 
NXOpen::Point3d OffsetSectionShearCenterAtAftEnd ()
 Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system. More...
 
NXOpen::Point3d OffsetSectionShearCenterAtForeEnd ()
 Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system. More...
 
NXOpen::Matrix3x3 OrientationCoordinateSystem ()
 Returns the beam orientation coordinate system. More...
 
NXOpen::CAE::BeamSection::DirectionOption OrientationDirection ()
 Returns the orientation direction. More...
 
NXOpen::CAE::FENodeOrientationNode ()
 Returns the orientation node. More...
 
NXOpen::Vector3d OrientationVector ()
 Returns the orientation vector of the beam element. More...
 
NXOpen::CAE::BeamSectionSectionAtAftEnd ()
 Returns the cross section at the aft end of the beam element. More...
 
NXOpen::CAE::BeamSectionSectionAtForeEnd ()
 Returns the cross section at the fore end of the beam element. More...
 
NXOpen::CAE::BeamSection::Properties SectionPropertiesAtAftEnd ()
 Returns the section properties at the aft end of the beam element. More...
 
NXOpen::CAE::BeamSection::Properties SectionPropertiesAtForeEnd ()
 Returns the section properties at the fore end of the beam element. More...
 
virtual ~BeamElementInfo ()
 Destroys the object
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

Represents a Beam Element Information.


To obtain an instance of this class use CAE::BeamElementInfoHandler::AskElemInfo

Created in NX11.0.0.

Constructor & Destructor Documentation

virtual NXOpen::CAE::BeamElementInfo::~BeamElementInfo ( )
virtual

Destroys the object
Created in NX11.0.0.



License requirements : None

Member Function Documentation

void NXOpen::CAE::BeamElementInfo::GetEndReleasesAtAftEnd ( std::vector< int > &  endReleases)

Returns the end releases at the aft end of the beam element, that are referred to as pin flags in Nastran.


The values of the end releases are either 0 or 1, 1 represents removing connection between the aft node and selected degrees of freedom, 0 represents not removing the connection.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
endReleasesendreleases
void NXOpen::CAE::BeamElementInfo::GetEndReleasesAtForeEnd ( std::vector< int > &  endReleases)

Returns the end releases at the fore end of the beam element, that are referred to as pin flags in Nastran.


The values of the end releases are either 0 or 1, 1 represents removing connection between the fore node and selected degrees of freedom, 0 represents not removing the connection.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
endReleasesendreleases
bool NXOpen::CAE::BeamElementInfo::HasSectionAssignedAtAftEnd ( )

Returns a boolean value that indicates whether a cross section object is assigned to the aft end of the beam element.


  1. To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.
  2. To a tapered beam element:
    When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

    When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::BeamElementInfo::HasSectionAssignedAtForeEnd ( )

Returns a boolean value that indicates whether a cross section object is assigned to the fore end of the beam element.


  1. To a constant beam element, when a cross section is defined in the beam mesh physical properties, the section is assigned to both ends of the beam element.
  2. To a tapered beam element:
    When two cross sections are defined to the end nodes of the beam chain in the beam mesh physical properties, the fore section is assigned to the fore end of the fore beam element of the beam chain, the aft section is assigned to the aft end of the aft beam element of the beam chain, the section at the other ends are interpolated with these two sections.

    When two cross sections are defined to each element in the beam mesh physical properties, the fore section is assigned to the fore end of each element of the beam chain, the aft section is assigned to the aft end of each element of the beam chain.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

bool NXOpen::CAE::BeamElementInfo::IsTapered ( )

Returns a boolean value that indicates whether the beam element is a tapered beam element.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Vector3d NXOpen::CAE::BeamElementInfo::LanguageOffsetAtAftEnd ( )

Returns.

the language specific offset at the aft end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the aft end of the beam element.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Vector3d NXOpen::CAE::BeamElementInfo::LanguageOffsetAtForeEnd ( )

Returns.

the language specific offset at the fore end of the beam element, that is to offset the shear center of the cross section at the fore end of the beam element to the fore node of the beam element in the nodal displacement coordinate system when current solver is Nastran solver.

For other solvers, it is same with the neutral offset at the fore end of the beam element.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Vector3d NXOpen::CAE::BeamElementInfo::NeutralOffsetAtAftEnd ( )

Returns.

the neutral offset at the aft end of the beam element, that is to offset the centroid of the cross section at the aft end of the beam element to the aft node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

  1. When the beam orientation is defined by a vector:
    If orientation direction is CAE::BeamSection::DirectionOptionHorizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

    If orientation direction is CAE::BeamSection::DirectionOptionVertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.
  2. When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Vector3d NXOpen::CAE::BeamElementInfo::NeutralOffsetAtForeEnd ( )

Returns.

the neutral offset at the fore end of the beam element, that is to offset the centroid of the cross section at the fore end of the beam element to the fore node of the beam element in the neutral coordinate system.

For the neutral coordinate system, its axis x is the element axis.

  1. When the beam orientation is defined by a vector:
    If orientation direction is CAE::BeamSection::DirectionOptionHorizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

    If orientation direction is CAE::BeamSection::DirectionOptionVertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.
  2. When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Point3d NXOpen::CAE::BeamElementInfo::OffsetSectionCentroidAtAftEnd ( )

Returns the new position with offset of the section centroid at the aft end of the beam element in the global coordinate system.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Point3d NXOpen::CAE::BeamElementInfo::OffsetSectionCentroidAtForeEnd ( )

Returns the new position with offset of the section centroid at the fore end of the beam element in the global coordinate system.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Point3d NXOpen::CAE::BeamElementInfo::OffsetSectionShearCenterAtAftEnd ( )

Returns the new position with offset of the section shear center at the aft end of the beam element in the global coordinate system.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Point3d NXOpen::CAE::BeamElementInfo::OffsetSectionShearCenterAtForeEnd ( )

Returns the new position with offset of the section shear center at the fore end of the beam element in the global coordinate system.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Matrix3x3 NXOpen::CAE::BeamElementInfo::OrientationCoordinateSystem ( )

Returns the beam orientation coordinate system.

Axis x is from the fore end node with offset to the aft end node with offset.

  1. When the beam orientation is defined by a vector:
    If orientation direction is CAE::BeamSection::DirectionOptionHorizontal , axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.

    If orientation direction is CAE::BeamSection::DirectionOptionVertical , axis y is to multiply across axis x and the orientation vector, axis z is to multiply across axis x and axis y.
  2. When the beam orientation is defined by a node, the orientation vector is the vector which is from the fore end node with offset to the orientation node, axis z is to multiply across axis x and the orientation vector, axis y is to multiply across axis z and axis x.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::BeamSection::DirectionOption NXOpen::CAE::BeamElementInfo::OrientationDirection ( )

Returns the orientation direction.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::FENode* NXOpen::CAE::BeamElementInfo::OrientationNode ( )

Returns the orientation node.

Orientation node is returned as NULL if the beam orientation is defined by a vector.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::Vector3d NXOpen::CAE::BeamElementInfo::OrientationVector ( )

Returns the orientation vector of the beam element.

If the beam orientation is defined by a node, it returns the vector which points from the fore end node to the orientation node.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamElementInfo::SectionAtAftEnd ( )

Returns the cross section at the aft end of the beam element.

There are two cases that no section can be queried:

  1. No section is assigned to the beam physical property table.

  2. It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamElementInfo::SectionAtForeEnd ( )

Returns the cross section at the fore end of the beam element.

There are two cases that no section can be queried:

  1. No section is assigned to the beam physical property table.

  2. It is a tapered beam mesh. The section of the beam element is interpolated, not a real section. To this case, user could access the section properties.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::BeamSection::Properties NXOpen::CAE::BeamElementInfo::SectionPropertiesAtAftEnd ( )

Returns the section properties at the aft end of the beam element.


The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")

NXOpen::CAE::BeamSection::Properties NXOpen::CAE::BeamElementInfo::SectionPropertiesAtForeEnd ( )

Returns the section properties at the fore end of the beam element.


The section properties are not generated only when cross sections are not fully defined in the beam mesh physical properties.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.